# Python2 only module. Python3 has os.posix_fadvise() natively
%global srcname fadvise
%global sum Python interface to posix_fadvise(2)

Name:           python-%{srcname}
Version:        5.0.0
Release:        5%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://chris-lamb.co.uk/projects/python-fadvise
Source0:        https://github.com/lamby/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools


%description
python-fadvise is a Python interface to posix_fadvise(2) which is used to
predeclare an access pattern for file data in order that the kernel may make
informed decisions regarding (but not limited to) scheduling I/O and caching.


%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
python-fadvise is a Python interface to posix_fadvise(2) which is used to
predeclare an access pattern for file data in order that the kernel may make
informed decisions regarding (but not limited to) scheduling I/O and caching.


%prep
%autosetup -n %{name}-%{version}


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%{python2_sitearch}/_fadvise.so
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-*.egg-info

%license COPYING


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Piotr Popieluch <piotr1212@gmail.com> - 5.0.0-3
- Update BuildRequires to include Python version number

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 21 2016 Piotr Popieluch <piotr1212@gmail.com> - - 5.0.0-1
- Update to 5.0.0

* Sat Aug 13 2016 Piotr Popieluch <piotr1212@gmail.com> - - 4.0.1-1
- Update to 4.0.1
- Use github as source
- Make files section more specific

* Tue Jul 26 2016 Piotr Popieluch <piotr1212@gmail.com> - - 4.0.0-1
- Initial version
